<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Form Validation</title>
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/
font-awesome/5.15.2/css/all.min.css"/>
</head>
<body>
    <div class="container">

        <header>
            <h1>Form Validation</h1>
        </header>

        <section>

            <label for="username">Username</label>
            <input type=text id="username" required><br>

            <label for="email">Email</label>
            <input type="email"  id="email"><br>

            <label for="password">Password</label>
            <input type="password" id="password"><br>
            <label for="sex">Sex</label>
            
            <select >
                <option value="" disabled selected hidden id="sex">Choose from the options</option>
                <option href="#"  class="Male">Male</option>
                <option href="#" class="Female"> Female</option>
                <option href="#" class="Other">Other</option>
            
            </select>

            <label for="role" >Role</label>
            <div>
                <label for="Admin">Admin</label>
                <input type="radio" id="Admin" class="radio">

                <label for="User">User</label>
                <input type="radio" id="User" class="radio">
            </div>


            <label for="permission">Permission</label>
            <div >
                <label for="perm1">Perm1</label>
                <input  type="checkbox" id="perm1" class ="permission">
                <label for="perm2">Perm2</label>
                <input type="checkbox" id="perm2" class ="permission">
                <label for="perm3">Perm3</label>
                <input type="checkbox" id ="perm3" class ="permission">
                <label for="perm4">Perm4</label>
                <input type="checkbox" id="perm4" class ="permission">
            </div>
            <button class="btn">Submit</button>

        </section>

        
    </div>
    
    <script src="script.js"></script>
</body>
</html>